package betterquesting.api.network;

import betterquesting.api2.utils.Tuple2;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import java.util.function.Consumer;
import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_api_network.jar:betterquesting/api/network/IPacketRegistry.class */
public interface IPacketRegistry {
    void registerServerHandler(@Nonnull ResourceLocation resourceLocation, @Nonnull Consumer<Tuple2<NBTTagCompound, EntityPlayerMP>> consumer);

    @SideOnly(Side.CLIENT)
    void registerClientHandler(@Nonnull ResourceLocation resourceLocation, @Nonnull Consumer<NBTTagCompound> consumer);

    @Nullable
    Consumer<Tuple2<NBTTagCompound, EntityPlayerMP>> getServerHandler(@Nonnull ResourceLocation resourceLocation);

    @SideOnly(Side.CLIENT)
    @Nullable
    Consumer<NBTTagCompound> getClientHandler(@Nonnull ResourceLocation resourceLocation);
}
